From: acinonyx <acinonyx@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Date: Tue, 22 Dec 2009 21:45:08 +0000 (+0000)
Subject: [packages] mac80211: Don't echo missing physical device errors to wireless config... 
X-Git-Url: https://git.rohieb.name/openwrt.git/commitdiff_plain/975e20ea80f4894a3b6611cddf6298e2a291b915

[packages] mac80211: Don't echo missing physical device errors to wireless config file

git-svn-id: svn://svn.openwrt.org/openwrt/trunk@18896 3c298f89-4303-0410-b956-a3cf2f4a3e73
---

diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index 6d144a95c..adfd948db 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -281,7 +281,7 @@ enable_mac80211() {
 check_device() {
 	config_get phy "$1" phy
 	[ -z "$phy" ] && {
-		find_mac80211_phy "$1" || return 0
+		find_mac80211_phy "$1" >/dev/null || return 0
 		config_get phy "$1" phy
 	}
 	[ "$phy" = "$dev" ] && found=1